Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Broadcast Struct Reference

A vector with 'lanes' elements, in which every element is 'value'. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Broadcast:

## Static Public Member Functions
static Expr | make (Expr value, int lanes)

## Public Attributes
Expr | value
int | lanes
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Broadcast

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< Broadcast >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

A vector with 'lanes' elements, in which every element is 'value'.

This is a special case of the ramp node above, in which the stride is zero.

Definition at line 269 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::Broadcast::make | ( | Expr | value,
|  | int | lanes
| ) |  |
| static

Referenced by Halide::Internal::IRMatcher::BroadcastOp< A, B >::make(), and Halide::Internal::IRMatcher::make_const_expr().

## Member Data Documentation

## ◆ value

Expr Halide::Internal::Broadcast::value

Definition at line 270 of file IR.h.

Referenced by Halide::Internal::IRMatcher::BroadcastOp< A, B >::match().

## ◆ lanes

int Halide::Internal::Broadcast::lanes

Definition at line 271 of file IR.h.

Referenced by Halide::Internal::IRMatcher::BroadcastOp< A, B >::match().

## ◆ _node_type

const IRNodeType Halide::Internal::Broadcast::_node_type = IRNodeType::Broadcast
| static

Definition at line 275 of file IR.h.

Referenced by Halide::Internal::IRMatcher::BroadcastOp< A, B >::match().

The documentation for this struct was generated from the following file:

- src/IR.h